:: On windows
@echo off 

:: Check if the leaps_center container exists
docker inspect leaps_center > nul 2>&1
if %errorlevel% equ 0 (
    docker rm --force leaps_center
)
:: Check if the leaps_server container exists
docker inspect leaps_server > nul 2>&1
if %errorlevel% equ 0 (
    docker rm --force leaps_server
)
:: Check if the leaps_gateway container exists
docker inspect leaps_gateway > nul 2>&1
if %errorlevel% equ 0 (
    docker rm --force leaps_gateway
)
:: Check if the leaps_mosquitto container exists
docker inspect leaps_mosquitto > nul 2>&1
if %errorlevel% equ 0 (
    docker rm --force leaps_mosquitto
)

echo "Run leaps_center from hub"
cd leaps_center_hub/
docker run -d -p 80:8080/tcp --name leaps_center -v %cd%/leaps_center/:/app/data/ -e LEAPS_CENTER_HOME=/app/data/ leapslabs/leaps_center:udk1 sh -c "cd /app &&  java -jar leaps-center-web.jar"

echo "Run leaps_server from hub"
cd ../leaps_server_hub/
docker run -d -p 7777:7777/tcp -p 7777:7777/udp --name leaps_server -v  %cd%/data/:/app/data leapslabs/leaps_server:udk1 /app/leaps-server --cfg /app/data/leaps-server.conf

echo "Run leaps_gateway from hub"
cd ../leaps_gateway_hub/
docker run -d -it --name leaps_gateway --privileged -v /dev/bus/usb:/dev/bus/usb -v  %cd%/data/:/app/data leapslabs/leaps_gateway:udk1 /app/leaps-gateway -c /app/data/leaps-gateway.conf

echo "Run leaps_mosquitto from hub"
cd ../
docker run -d -p 1883:1883/tcp -p 15675:15675 --restart unless-stopped --name leaps_mosquitto leapslabs/leaps_mosquitto:udk1 mosquitto -c /mosquitto/config/mosquitto.conf 

echo "Start all containers"
docker start leaps_center
docker start leaps_server
docker start leaps_gateway
docker start leaps_mosquitto
docker ps
