@echo off
setlocal enabledelayedexpansion

REM Get IP address
for /f "tokens=2 delims=[]" %%A in ('ping "%computername%" -4 -n 1 ^| findstr "["') do (
    set "ip=%%A"
)

REM Determine script directory path
set "scriptdir=%~dp0"

REM Replace configuration line in all leaps-gateway.conf files
for /r "%scriptdir%" %%G in (leaps-gateway.conf) do (
    if exist "%%G" (
        echo Modifying: %%G
        (
            for /f "usebackq delims=" %%H in ("%%G") do (
                set "line=%%H"
                if "!line:leaps-server-host=!" neq "!line!" (
                    echo leaps-server-host = %ip%
                ) else (
                    echo %%H
                )
            )
        ) > "%%G.new"
        move /y "%%G.new" "%%G" > nul
    )
)

echo The leaps-gateway configuration is updated with the current IP address: %ip%

REM Replace configuration line in all leaps-server.conf files
for /r "%scriptdir%" %%G in (leaps-server.conf) do (
    if exist "%%G" (
        echo Modifying: %%G
        (
            for /f "usebackq delims=" %%H in ("%%G") do (
                set "line=%%H"
                if "!line:mqtt_host=!" neq "!line!" (
                    echo mqtt_host = %ip%
                ) else (
                    echo %%H
                )
            )
        ) > "%%G.new"
        move /y "%%G.new" "%%G" > nul
    )
)
echo The leaps-server configuration is updated with the current IP address: %ip%

REM Pause the script (optional)
pause
